
0.5.3i Apr  29, 2013
 * Updated translations
 * updated hebrew translatio from genghiskhan

0.5.3h Sep  03, 2012
 * add explicit openssl autoconf check
 * Updated Ukranian translation from Yarema aka Knedlyk

0.5.3g Jul  17, 2012
 * Updated french translation from JRD
 * added Hebrew translation from genghiskhan
 * fix --install command line handing (thanks George Vlahavas)

0.5.3f Feb  20, 2011
 * gdk-pixbuf2 is now required in current (upcoming 13.2)

0.5.3e Nov  09, 2010
 * hungarian translation by Peter Polonkai

0.5.3d Sep  27, 2010
 * slapt-get 0.10.2g api compatibility 

0.5.3c June 16, 2010
 * updated es translation from Fernando Velo
 * added es_AR translation from Fernando Velo
 * updated pt_BR translation from Sérgio Surkamp
 * updated el translation from George Vlahavas
 * updated de translation from Manfred Mueller
 * account for updated slapt_is_required_by
 * updated for slapt_list_t api update
 * added reinstall notification

0.5.3b June 02, 2010
 * fixed threading issue when destroying windows
 * translation overhaul with help from George Vlahavas

0.5.3a May 08, 2010
 * series mapping [el] translation udpates from George Vlahavas
 * added series mappings for salix and slackware64
 * fixed g_convert call for series mappings
 * es.po updates from Fernando Velo
 * series mapping [es] translation from Fernando Velo

0.5.3 Mar 07, 2010
 * let the search check the series mapped string
 * added slackware location/series mapping that uses a friendlier label for the
   slackware package series names
 * use column constants with the Gtk tree model

0.5.2b Jan 14, 2010
 * updated greek translation from George Vlahavas
 * fixed display bug when viewing installed packages
 * Added default strings for the dependency, changelog, and files tabs
   in the event there is no data (thanks George)
 * added "Installed Size" column header to translation files (thanks George)
 * save and restore window position and size between invocations
 * free several package lists that were never freed
 * updated handling of conflicts from command line package names

0.5.2a Oct 17, 2009
 * use slapt_disk_space_check from libslapt

0.5.2 Sep 14, 2009
 * updated greek translation from George Vlahavas
 * added file list tab in package view

0.5.1b Aug 11, 2009
 * updated for slapt-get 0.10.1d compatibility
 * added greek translation from George Vlahavas

0.5.1a Apr 28, 2009
 * updated pkg make target to conform to new makepkg restriction for
   creating a package in the current working directory.
 * updated de translation from Manfred Mueller
 * updated changelog window creation
 * updated pt_BR translation from Sergio Surkamp

0.5.1 Dec 14, 2008
 * determine possible downgrades even with respect to priorities and allow
   the package action menu to provide a downgrade option
 * better status labels in the package description when upgrading, installing,
   reinstalling, and dowgrading packages
 * updated for libslapt 0.10.1 compatibility
 * use the actual file extension when printing the package name while downloading
 * fixed the show upgradeable view to account for package priorities

0.5.0 Dec 07, 2008
 * fixed removing uninstalled dependencies when removing packages
 * added priority to source management
 * modified source management to use a new window for adding and editing
   the source.
 * updated for new libslapt changes
 * German translation updates by Manfred.

0.4.0 Mar 30, 2008
 * make changelog window 640x480 by default
 * added ability to show all packages that have available upgrades
   as (Show Upgradeable).  Thanks to ahuillet for the feature request.
 * added ChangeLogs view from help menu.  Thanks to ahuillet for the
   feature request.

0.3.19a Feb 22, 2008
 * compat with slapt-get 0.9.12d

0.3.19 Oct 08, 2007
 * fixed invalid free of command line argument
 * es and gl_es updates from Manuel

0.3.18 Jun 28, 2007
 * russian an ukrainian updates from sin
 * rewind checksum file after verifying it
 * polish updates from Piotr
 * german updates by Manfred
 * download checksum signatures and attempt to verify 
 * german updates by Manfred
 * updated translations
 * configure tries to detect if libslapt has built in gpgme support
 * Added "Verification" tab to preferences to add GPG-KEYs for each source
 * requires slapt-get 0.9.12
 * unreference generated pixbufs where previously left referenced
 * Updated thread locking of download cancel variable
 * Failed package downloads now report why they failed
 * updated configure.in

0.3.17 Feb 25, 2007
 * Updated spanish translation by Manuel Barallobre Seoane
 * Added galician translation by Manuel Barallobre Seoane

0.3.16 Nov 18, 2006
 * fixed bug in incorrectly detecting requirements on package removal
 * Added install size to the package listing (Dan)
 * added Turkish translation by Bekir SONAT 
 * download speed is now shown on the download dialog
 * German language updates from Manfred.
 * Search interface is now simplified.
 * package sources can now be edited
 * package sources and exclude expressions are now reorderable by dragging
 * improved the preferences code architecture
 * requires slapt-get 0.9.11g
 * French translation updates from Natim.
 * added fr to ALL_LINGUAS list so it will actually be built and included
 * fixed broken mark obsolete package that marked but did not schedule
   the package for removal.

0.3.15 Oct 01, 2006
 * French translation by Natim
 * Makefile now uses the same Group ID of /usr/sbin on the system
   for Slack 11 compatibility (Thanks Ricardo Garcia).

0.3.14 Jul 27, 2006
 * added 'Mark Obsolete' option
 * removed redundant 'Installing packages' status message that stuck around
 * added "View Marked Packages" option
 * german updates by Manfred
 * show package versions in the transaction summary for install, remove
 * translation updates
 * added a View menu to specify showing only Installed, Available,
   or All packages.  The user can also toggle this within search
   results.

0.3.13 May 24, 2006
 * changelog support
 * updated desktop files with patch from Ariszló
 * added simplified Chinese translation by Yang
 * added Japanese translation from S_A

0.3.12 Feb 24, 2006
 * translation updates from Victor
 * prompt user to disable source and continue after package source fails to
   download rather than bail out of package data update completely
 * updated .desktop files

0.3.11 Dec 31, 2005
 * updated Bulgarian translation
 * fixed borked .desktop files
 * updated German translation from Manfred
 * added Indonesian translation by Kemas Antonius
 * updated Polish translation from Piotr

0.3.10 Dec 01, 2005
 * a few translation updates and minor ui update
 * requires slapt-get 0.9.11 for new description cleaning functionality
 * Bulgarian translation by Victor Keranov
 * fixed bad bold tag in gslapt.pot
 * updated .desktop entry to NotShowIn KDE, added gslapt-kde.desktop
 * added call to usr/bin/update-desktop-database in doinst.sh (freerock)
 * updated Russian and Unkrainian translations

0.3.9 Oct 12, 2005
 * added new strings to translations
 * cleaned up some dialog boxes
 * fixed hardcoded mirror setting in PACKAGES.TXT regression
 * changed unmark all shortcut to ctrl-z
 * updated dialog for packages with unmet dependencies to offer option to
   install/upgrade/reinstall/downgrade anyway
 * fixed bug when unmarking packages selected for reinstallation

0.3.8 Sept 28, 2005
 * updated for new libslapt (0.9.10d)
 * added Brazillian translation authored by Frederico Henrique Gonçalves Lima
 * improved package cache updating, removing use of tmpfile and disk i/o
 * added Russian and Unkrainian translations by sin of the DeepStyle team

0.3.7 Sept 07, 2005
 * translation updates from Piotr
 * fixed regression causing re-install to never be selectable

0.3.6 Aug 27, 2005
 * transaction summary now shows up on the taskbar and the source change
   notification is now an application modal window
 * updated .desktop file
 * fix regression when unmarking all selected packages, don't clear search
 * dependency failure notice now tries to only give the most recent notice,
   or it reports all failures in the session if the same messages where already
   observed.
 * updated the display of dependencies, suggestions, and conflicts in the
   package information tabs.  It should now be easier to read at a glance.
 * fixed progress callback going away after cancelling preference changes and
   resetting configuration.
 * dependency and conflict error dialog is now more informative with exactly
   what went wrong
 * requires libslapt 0.9.10c
 * initial support for disabling package sources
 * make sure that --config [] is always honored when editing preferences
 * set busy cursor whenever resetting package attributes in package view
 * reload package list after adding/removing an exclude in the preferences
 * added Dutch translation from Martijn Dekker
 * translation updates

0.3.5 Aug 10, 2005
 * updated gtk+-2.0 configure check to require gtk+ 2.4+
 * show via icons whether installed or available package is excluded, updated
   icon legend
 * cleaned up menus, adding options from the toolbar
 * moved clean toolbar option into preferences
 * translation updates
 * use slapt_cmp_pkgs macro
 * require libslapt 0.9.10b
 * Manfred updated german translation
 * changes to follow libslapt updates
 * added Italian translation by Fabio Varesano

0.3.4 July 25, 2005
 * updated listing of installed packages for consistency so location is pulled
   from the package log rather than the current downloadable package.
 * updated package data download dialog
 * fixed double free in main.c
 * updated to libslapt 0.9.10a
 * translation updates
 * added dialog asking to update package cache when sources are modified
 * updated pkg target to follow PKGDIR if set, or ./pkg/ by default
 * use AC_CANONICAL_HOST for arch detection in configure.in
 * disable unmark all menu option if nothing is currently marked
 * when unmarking upgrades, make sure to reset the installed packages status
   icon as well
 * added spanish translation by Manuel Barallobre Seoane

0.3.3 June 30, 2005
 * disable clear search button unless search is underway
 * reset status when calls to pkgtools fails
 * configure script should now check for newest libslapt, falling back on
   libslapt.so otherwise
 * removed duplicate extern declarations
 * added Slovak translation by Erik Gyepes
 * added commandline option --config to specify alternate config to use for
   session
 * added commandline options, --upgrade to start up in automatic upgrade mode,
   and --install --remove to pass in packages to install/upgrade or remove.
 * disabled reordering the package treeview
 * allow reinstall of installed packages with different build identifiers
 * added vi translation by Vu Nguyen
 * reset package menu after install/upgrade/remove is complete
 * added search completion for previous searches in the session
 * translation updates

0.3.2 June 10, 2005
 * added autogenerated doinst.sh script which should detect whether gksudo, gksu,
   gnomesu, or kdesu are installed and update the .desktop file accordingly
 * when locking toolbars, lock the top menu as well
 * updated search to use the same GtkTreeModel, only I'm filtering on the
   basis of a column value using GtkTreeModelFilter.  This improves the speed
   of building search listings and clearing out the search listings greatly.
 * only show the main window after initializing model (at startup)
 * changed upgrade button to just mark upgradeable packages
 * disconnected callbacks to package menu before recreating them
 * show all icons in the package menu, not just active/sensitive ones
 * added package menu to mimick the right click context menu
 * updated download dialog to show mirror and package download size
 * added notify if unable to write preferences (updated translations)
 * downloads can now be cancelled

0.3.1 June 04, 2005
 * updated marking and unmarking upgrades so that installed versions of
   upgrades are marked and unmarked appropriately
 * regenerated list of installed packages after install/remove/upgrade is
   complete to correctly display post execute status in treeview
 * added information in package info notebook about latest available and
   installed versions
 * added notification when install/remove/upgrade is complete
 * set busy cursor when rebuilding treeviews, and made most dialogs (except
   helps) modals
 * fixed duplicate column bug in adding/removing sources and excludes in
   preferences
 * added icon legend to the help menu
 * added status field to package information tab
 * added german translation by Sebastian Jauch
 * translation updates
 * added missing pkg_action_reinstall.png
 * set status icon for downgrades correctly
 * unmark correctly sets status column so status sorting after unmark works as
   expected
 * removed duplicate code to setup treeview columns for package listing and
   search listing
 * added reset_pkg_view_status() to reset status of package treeview
   rather than perform costly clear and repopulate treeview
 * properly mark dependencies for install/upgrade/remove
 * now using enum for column names

0.3.0 May 29, 2005
 * added package description to treeview
 * requires slapt-get >= 0.9.9l
 * small optimization in generating package treeviews
 * generated a notify window warning of failure to locate the specified
   dependent packages
 * silenced compiled time warnings for main.c and callbacks.c
 * added ability to remove a package from transaction (unmark)
 * new ui in hopes it will make gslapt more usable
 * added Swedish translation by Hakan Lindqvist
 * updated pl translation (thanks Piotr)
 * switched order of tabs in preferences, so sources is last
 * added pt to configure.in for language installation
 * fixed some formatting
 * removed unused signal handler paramter
 * updated translations with new strings
 * removed the unneeded exclude button since exclude prefs are working 
 * changed order of package list column, moving installed before location
 * updated UI, creating a paned view, and the package information is now
   tabbed.
 * free'd several allocated variables

0.2.1 May 19, 2005
 * added FAQs to the FAQ
 * set package listing columns to be resizeable
 * removed beta warning dialog
 * the clear button only rebuilds the view when it has to, as it's so expensive
 * added "not enough free space" notification
 * updated translations
 * added more notification for errors during source updates and transaction
   messages for missing deps and conflicts via new error api
 * formatting updates
 * added pt translation by Pedro Pinto
 * updated to compile against current slapt-get cvs
 * fixed bug that allowed installing multiple versions of a package
 * added accelerators, ctrl [i,u] for (re-)install/upgrade, ctrl [r] for
   remove, and ctrl [x] for exclude
 * fixed crash when enabling the remove button on certain packages
 * requires slapt-get >= 0.9.9k
 * fixed upgrade problem
 * updated transaction code to follow new transaction_t struct use of queue 
 * borrowed Ubuntu's add/remove applications icon for new gslapt icon
 * fixed issue with reinstall request not completing
 * statusbar now gives notification when there are pending things to execute

0.2_beta Mar 06, 2005
 * prevent progress window from being closed for the time being (see TODO)
 * changed slackpkg make target to pkg
 * upgrade summary shows current pkg version and new pkg version
 * added TODO
 * updated the interface, removing duplicate file menu entries, removed
   location field.
 * requires slapt-get >= 0.9.9i
 * added downgrade capability
 * added reinstall capability
 * cancelling preference dialog restores configuration from slapt-getrc
 * updated summary report to show statistics
 * cancelling summary has different callback when using dist-upgrade, clears transaction
 * remove dist-upgrade option
 * only show the download dialog if there are packages to download
 * filled in total progress progress-bar when installing, upgrading, and removing
 * fixed bug when all package sources or exclude expressions where removed
 * notify if no updates are available, don't show empty summary 
 * updates following libslapt updates, using add_source and new source list struct
 * made all possible fields translatable, regenerated translation files
 * added slackpkg make target to Makefile.am
 * fixed search duplication error
 * added pl.po translation contributed by Piotr Simon
 * install target is now /usr/sbin instead of /usr/bin (need to figure out
   how to find out if gnome-sudo|gksu|etc are installed and use them
   for the .desktop entry)
 * added slack-desc and slack-required
 * added initial translation files
 * added gslapt.desktop and gslapt.png contributed by Piotr Simon
 * hitting enter on search entry now invokes search callback (no clicking
   required)
 * moved package description up just below the package name
 * removed work wrap for pkg description
 * package source update now uses progress window
 * added tooltip for clear button
 * progress dialog for download/install/remove/upgrade shows pkg description

0.1alpha Feb 13, 2005
 * initial release
